import request from '@/utils/request'

// ################################################

// 资料库文章列表
export function getArticleList(params) {
  return request({
    url: '/data/article/list',
    method: 'get',
    params
  })
}

// 资料库保存文章
export function saveArticle(data) {
  return request({
    url: '/data/article/save',
    method: 'post',
    data
  })
}

// 根据文章id获取数据
export function getArticleDeatil(params) {
  return request({
    url: '/data/article/form/data',
    method: 'get',
    params
  })
}

// 根据文章id删除文章
export function removeArticle(data) {
  return request({
    url: '/data/article/delete',
    method: 'post',
    data
  })
}

// 修改文章上线状态
export function changeArticleStatus(data) {
  return request({
    url: '/data/article/update/status',
    method: 'post',
    data
  })
}

// ################################################

// 获取图片列表
export function getImageList(params) {
  return request({
    url: '/data/image/list',
    method: 'get',
    params
  })
}

// 资料库保存图片
export function saveImage(data) {
  return request({
    url: '/data/image/save',
    method: 'post',
    data
  })
}

// 根据图片id获取数据
export function getImageDetail(params) {
  return request({
    url: '/data/image/form/data',
    method: 'get',
    params
  })
}

// 根据图片id删除图片
export function removeImage(data) {
  return request({
    url: '/data/image/delete',
    method: 'post',
    data
  })
}

// 修改图片上线状态
export function changeImageStatus(data) {
  return request({
    url: '/data/image/update/status',
    method: 'post',
    data
  })
}
// ################################################

// 获取视频列表
export function getVideoList(params) {
  return request({
    url: '/data/video/list',
    method: 'get',
    params
  })
}

// 资料库保存视频
export function saveVideo(data) {
  return request({
    url: '/data/video/save',
    method: 'post',
    data
  })
}

// 删除视频
export function removeVideo(data) {
  return request({
    url: '/data/video/delete',
    method: 'post',
    data
  })
}

// 修改视频上线状态
export function changeVideoStatus(data) {
  return request({
    url: '/data/video/update/status',
    method: 'post',
    data
  })
}

// ################################################

// 获取文件列表
export function getFileList(params) {
  return request({
    url: '/data/file/list',
    method: 'get',
    params
  })
}

// 资料库保存文件
export function saveFile(data) {
  return request({
    url: '/data/file/save',
    method: 'post',
    data
  })
}

// 删除文件
export function removeFile(data) {
  return request({
    url: '/data/file/delete',
    method: 'post',
    data
  })
}

// 修改文件上线状态
export function changeFileStatus(data) {
  return request({
    url: '/data/file/update/status',
    method: 'post',
    data
  })
}
